<!--
IGAC proyecto SNC

@author leidy.gonzalez
@description Consultar el histórico de zonas para los predios que están en el tramite  
-->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<p:panel xmlns="http://www.w3.org/1999/xhtml"
         xmlns:ui="http://java.sun.com/jsf/facelets"
         xmlns:f="http://java.sun.com/jsf/core"
         xmlns:h="http://java.sun.com/jsf/html"
         xmlns:misc="http://java.sun.com/jsf/composite/misc"
         xmlns:p="http://primefaces.org/ui"
         xmlns:fn="http://java.sun.com/jsp/jstl/functions">


    <!-- CASO DE USO CU-NP-CO-285 -->

    <h:panelGrid columns="1" cellspacing="2" width="100%">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <h:form id="registraZonasForm">

            <p:messages id="msgsRegZonas" showDetail="false"
                        globalOnly="false" />

            <h:outputLabel value="Número predial"
                           styleClass="outputLabelStyle" />

            <p:spacer width="10"></p:spacer>

            <h:outputText value="#{managedBeanParam.predioSeleccionado.numeroPredial}"
                          styleClass="outputTextStyle" />

            <p:fieldset id ="pZonasTramite">

                <legend> <h:outputLabel value="Zonas del tramite"
                                        styleClass="outputLabelStyle" /> </legend>

                <h:panelGrid cellspacing="3" cellpadding="3">

                    <p:dataTable var="predioZonaVig"
                                 value="#{managedBeanParam.zonasVigentesPredioSeleccionado}"
                                 rowKey="#{predioZonaVig.id}" id="tablaZonasVig"
                                 paginator="true" rows="5"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                 emptyMessage="Predio no tiene  asociadas zonas para el trámite"
                                 selectionMode="single"
                                 selection="#{managedBeanParam.zonaVigenteSeleccionada}">

                        <p:column headerText="Opciones" style="width:60px">
                            <p:commandButton title="Editar Zona"
                                             icon="ui-icon-pencil"
                                             action="#{managedBeanParam.editaZonasPredio}"
                                             update=":registraZonasForm, :registraZonasForm:pNuevaZona,:registraZonasForm:msgsRegZonas" 
                                             process="@this"> 
                                <f:setPropertyActionListener value="#{predioZonaVig}"
                                                             target="#{managedBeanParam.zonaVigenteSeleccionada}" />
                            </p:commandButton>

                            <p:commandButton title="Eliminar" onclick="confirmZonaWV.show()"
                                             icon="ui-icon-trash"
                                             update=":registraZonasForm, :registraZonasForm:pNuevaZona,
                                             :registraZonasForm:msgsRegZonas">
                                <f:setPropertyActionListener value="#{predioZonaVig}" 
                                                             target="#{managedBeanParam.zonaVigenteSeleccionada}" />
                            </p:commandButton>
                        </p:column>

                        <p:column headerText="Zona física">
                            <h:outputText value="#{predioZonaVig.zonaFisica}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Zona geoeconómica">
                            <h:outputText value="#{predioZonaVig.zonaGeoeconomica}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Área terreno" style="text-align:right">
                            <h:outputText value="#{predioZonaVig.area}">
                                <f:convertNumber pattern="#{general.formatoDosCifrasDecimales}"/>
                            </h:outputText>
                        </p:column>
                        <p:column headerText="Vr m2 terreno" style="text-align:right">
                            <h:outputText value="#{predioZonaVig.valorM2Terreno}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Avalúo unidad terreno" style="text-align:right">
                            <h:outputText value="#{predioZonaVig.avaluo}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Vigencia">
                            <h:outputText value="#{predioZonaVig.vigencia}"
                                          styleClass="outputTextStyle" >
                                <f:convertDateTime pattern="#{general.formatoFecha}" />
                            </h:outputText> 
                        </p:column>

                    </p:dataTable>

                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Registrar nueva zona" title="Registrar nueva zona"
                                         action="#{managedBeanParam.registraZonasPredio}" 
                                         update="pNuevaZona,registraZonasForm,:registraZonasForm:msgsRegZonas"/>

                    </p:outputPanel>

                </h:panelGrid>

            </p:fieldset>

            <p:spacer width="20"></p:spacer>

            <p:fieldset id="pNuevaZona" rendered="#{managedBeanParam.actNuevaZona}">

                <legend> <h:outputLabel value="Nueva zona"
                                        styleClass="outputLabelStyle" /> </legend>

                <p:spacer height="10"></p:spacer>

                <h:panelGrid columns="2" cellspacing="2">
                    <h:outputLabel value="Vigencia: "
                                   styleClass="outputLabelStyle" />

                    <h:selectOneMenu id="vigencia" required="true"
                                     label="Vigencia: " style="width:120px"
                                     value="#{managedBeanParam.vigenciaSeleccionada}">
                        <f:selectItem itemValue="" itemLabel="Seleccionar..." />
                        <f:selectItems value="#{managedBeanParam.listVigencia}" />
                        <p:ajax
                            update="zonaFis, zonaGeo"
                            listener="#{managedBeanParam.cargaZonasFisicaYGeo}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid columns="2" cellspacing="2">
                    <h:outputLabel value="Zona física: "
                                   styleClass="outputLabelStyle" />

                    <h:selectOneMenu id="zonaFis" required="true"
                                     label="Zona Fisica : " style="width:120px"
                                     value="#{managedBeanParam.zonaFisicaSeleccionada}">
                        <f:selectItem itemValue="" itemLabel="Seleccionar..." />
                        <f:selectItems value="#{managedBeanParam.listZonaFisica}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid columns="2" cellspacing="2">
                    <h:outputLabel value="Zona geoeconómica: "
                                   styleClass="outputLabelStyle" />

                    <h:selectOneMenu id="zonaGeo" required="true"
                                     label="Zona Geoeconomica : " style="width:120px"
                                     value="#{managedBeanParam.zonaGeoSeleccionada}">
                        <f:selectItem itemValue="" itemLabel="Seleccionar..." />
                        <f:selectItems value="#{managedBeanParam.listZonaGeo}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid columns="2" cellspacing="2">
                    <h:outputLabel value="Área terreno : "
                                   styleClass="outputLabelStyle" />
                   
                    <h:inputText value="#{managedBeanParam.areaNueva}"  onkeypress="return soloNumerosConPunto(event);" 
                    	onkeyup="validarSiNumeroYDosDecimales(this, this.value);"
                                 maxlength="30" size="50" id="areaTerrenoId">
                    </h:inputText> 
                     
                </h:panelGrid>

                <p:outputPanel layout="block" style="text-align:right">
                    <p:spacer width="20"></p:spacer>
                    <p:commandButton value="Guardar" title="Guardar"
                                     action="#{managedBeanParam.guardarNuevaZona}"
                                     update="registraZonasForm,pZonasTramite,msgsRegZonas,areaTerrenoId,
                                     :tabView1:gestionarFichaMatrizForm,:tabView1:gestionDetalleAvaluoForm"/>

                </p:outputPanel>

            </p:fieldset>

            <p:spacer height="10"></p:spacer>

            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" title="Cierra esta ventana"
                                 update="registraZonasForm,registraZonasForm:pNuevaZona" 
                                 action="#{managedBeanParam.limpiarCamposZonas}"
                                 oncomplete="registrarZonasWV.hide()" icon="ui-icon-close" 
                                 process="@this"/>

            </p:outputPanel>

        </h:form>

    </h:panelGrid>

</p:panel>